## org.jfree.chart.renderer
Class WaferMapRenderer

    java.lang.Object
      org.jfree.chart.renderer.AbstractRenderer
          org.jfree.chart.renderer.WaferMapRenderer

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class WaferMapRenderer
extends AbstractRenderer

A renderer for wafer map plots. Provides color managment facilities.

Author:
  Robert Redburn.
See Also:
  Serialized Form

Field Summary
`static int` `POSITION_INDEX` default multivalue paint calculation
`static int` `VALUE_INDEX` The default value index.

Fields inherited from class org.jfree.chart.renderer.AbstractRenderer
`DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, DEFAULT_PAINT, DEFAULT_SHAPE, DEFAULT_STROKE, DEFAULT_VALUE_LABEL_FONT, DEFAULT_VALUE_LABEL_PAINT, ZERO`

Constructor Summary
`WaferMapRenderer()` Creates a new renderer.
`WaferMapRenderer(java.lang.Integer paintLimit, java.lang.Integer paintIndexMethod)` Creates a new renderer.
`WaferMapRenderer(int paintLimit, int paintIndexMethod)` Creates a new renderer.

Method Summary
`java.awt.Paint` `getChipColor(java.lang.Number value)` Returns the paint for a given chip value.
`DrawingSupplier` `getDrawingSupplier()` Returns the drawing supplier from the plot.
`LegendItemCollection` `getLegendCollection()` Builds the list of legend entries.
`WaferMapPlot` `getPlot()` Returns the plot.
`void` `setPlot(WaferMapPlot plot)` Sets the plot and build the paint index.

Methods inherited from class org.jfree.chart.renderer.AbstractRenderer

`addChangeListener, calculateLabelAnchorPoint, clone, createTransformedShape, equals, getBaseItemLabelAnchor, getBaseItemLabelAngle, getBaseItemLabelFont, getBaseItemLabelPaint, getBaseItemLabelRotationAnchor, getBaseItemLabelsVisible, getBaseItemLabelTextAnchor, getBaseNegativeItemLabelPosition, getBaseOutlinePaint, getBaseOutlineStroke, getBasePaint, getBasePositiveItemLabelPosition, getBaseShape, getBaseStroke, getItemLabelAnchor, getItemLabelAnchorOffset, getItemLabelAngle, getItemLabelFont, getItemLabelFont, getItemLabelPaint, getItemLabelPaint, getItemLabelRotationAnchor, getItemLabelTextAnchor, getItemOutlinePaint, getItemOutlineStroke, getItemPaint, getItemShape, getItemStroke, getNegativeItemLabelPosition, getNegativeItemLabelPosition, getPositiveItemLabelPosition, getPositiveItemLabelPosition, getSeriesItemLabelAnchor, getSeriesItemLabelAngle, getSeriesItemLabelFont, getSeriesItemLabelPaint, getSeriesItemLabelRotationAnchor, getSeriesItemLabelTextAnchor, getSeriesNegativeItemLabelPosition, getSeriesOutlinePaint, getSeriesOutlineStroke, getSeriesPaint, getSeriesPositiveItemLabelPosition, getSeriesShape, getSeriesStroke, hashCode, isItemLabelVisible, isSeriesItemLabelsVisible, notifyListeners, removeChangeListener, setBaseAngle, setBaseItemLabelAnchor, setBaseItemLabelFont, setBaseItemLabelFont, setBaseItemLabelPaint, setBaseItemLabelPaint, setBaseItemLabelRotationAnchor, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelTextAnchor, setBaseNegativeItemLabelPosition, setBaseNegativeItemLabelPosition, setBaseOutlinePaint, setBaseOutlinePaint, setBaseOutlineStroke, setBaseOutlineStroke, setBasePaint, setBasePaint, setBasePositiveItemLabelPosition, setBasePositiveItemLabelPosition, setBaseShape, setBaseShape, setBaseStroke, setBaseStroke, setItemLabelAnchor, setItemLabelAnchorOffset, setItemLabelAngle, setItemLabelFont, setItemLabelFont, setItemLabelPaint, setItemLabelPaint, setItemLabelRotationAnchor, setItemLabelsVisible, setItemLabelsVisible, setItemLabelsVisible, setItemLabelTextAnchor, setNegativeItemLabelPosition, setNegativeItemLabelPosition, setOutlinePaint, setOutlinePaint, setOutlineStroke, setOutlineStroke, setPaint, setPaint, setPositiveItemLabelPosition, setPositiveItemLabelPosition, setSeriesAngle, setSeriesItemLabelAnchor, setSeriesItemLabelFont, setSeriesItemLabelFont, setSeriesItemLabelPaint, setSeriesItemLabelPaint, setSeriesItemLabelRotationAnchor, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelTextAnchor, setSeriesNegativeItemLabelPosition, setSeriesNegativeItemLabelPosition, setSeriesOutlinePaint, setSeriesOutlinePaint, setSeriesOutlineStroke, setSeriesOutlineStroke, setSeriesPaint, setSeriesPaint, setSeriesPositiveItemLabelPosition, setSeriesPositiveItemLabelPosition, setSeriesShape, setSeriesShape, setSeriesStroke, setSeriesStroke, setShape, setShape, setStroke, setStroke`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSITION_INDEX

    public static final int POSITION_INDEX

  default multivalue paint calculation

  See Also:
    Constant Field Values

### VALUE_INDEX

    public static final int VALUE_INDEX

  The default value index.

  See Also:
    Constant Field Values

Constructor Detail

### WaferMapRenderer

    public WaferMapRenderer()

  Creates a new renderer.

### WaferMapRenderer

    public WaferMapRenderer(int paintLimit,
                            int paintIndexMethod)

  Creates a new renderer.

Parameters:
  `paintLimit` - the paint limit.
  `paintIndexMethod` - the paint index method.

### WaferMapRenderer

    public WaferMapRenderer(java.lang.Integer paintLimit,
                            java.lang.Integer paintIndexMethod)

  Creates a new renderer.

Parameters:
  `paintLimit` - the paint limit.
  `paintIndexMethod` - the paint index method.

Method Detail

### getDrawingSupplier

    public DrawingSupplier getDrawingSupplier()

  Returns the drawing supplier from the plot.

  Specified by:
    `getDrawingSupplier` in class `AbstractRenderer`
  Returns:
    the drawing supplier.

### getPlot

    public WaferMapPlot getPlot()

  Returns the plot.

  Returns:
    the plot.

### setPlot

    public void setPlot(WaferMapPlot plot)

  Sets the plot and build the paint index.

  Parameters:
    `plot` - the plot.

### getChipColor

    public java.awt.Paint getChipColor(java.lang.Number value)

  Returns the paint for a given chip value.

  Parameters:
    `value` - the value.
  Returns:
    the paint.

### getLegendCollection

    public LegendItemCollection getLegendCollection()

  Builds the list of legend entries. called by getLegendItems in WaferMapPlot to populate the plot legend.

  Returns:
    the legend items.